<template>
  <div>
    <button-back />

    <goal :goal="goal" />
  </div>
</template>

<script>
import Goal from '~/components/Goal.vue'
import ButtonBack from '~/components/buttons/Back'

export default {
  components: {
    Goal,
    ButtonBack
  },

  data () {
    const id = this.$route.params.id
    const goal = this.$store.getters['goals/getGoalWithChildren'](id)

    return {
      goal
    }
  }
}
</script>
